SKB_PUT_PADTO(9)

NAME
skb_put_padto - increase size and pad an skbuff up to a minimal size

SYNOPSIS

int skb_put_padto(struct sk_buff * skb, unsigned int len);

ARGUMENTS

skb
    buffer to pad

len
    minimal length

DESCRIPTION

Pads up a buffer to ensure the trailing bytes exist and are blanked. If the buffer already contains sufficient data it is untouched. Otherwise it is extended. Returns zero on success. The skb is freed on error.

COPYRIGHT